﻿using System.Collections.ObjectModel;

namespace decePubClient.Models
{
	public class PublicCacheData
	{
		public IReadOnlyList<ViewLanguage> Languages { get; set; } = new List<ViewLanguage>();
		public string LastPage { get; set; }
		public IReadOnlyDictionary<string, string> Policies { get; set; } = new ReadOnlyDictionary<string, string>(new Dictionary<string, string>());

		public string CurrentLanguageCode { get; set; } = "en-GB";
		public bool NativeNotificationsEnabled { get; set; } = false;
		public short ThemeIndexColour { get; set; } = 25;
		public bool ThemeIsDarkMode { get; set; } = false;
	}
}
