﻿namespace decePubClient.Models
{
	public class User
	{
		public string Id { get; set; } = "45f14fa8-c40f-4121-997c-ef2542196a50";
		public bool IsAuthenticated { get; set; } = false;
		public List<UserClaim> Claims { get; set; } = new();
		
		public string UserName { get; set; } = "@loosy@letsrulethe.world";
		public string DisplayName { get; set; } = "loosy";
		public string PictureUrl { get; set; } = "https://letsrulethe.world/media/c22d7a6dfcce11e4d2d8d4f6298842a36751b0a179dc5333d24663e4b93793b4.jpg";
		public string BackgroundUrl { get; set; } = "https://letsrulethe.world/media/717cc7f5a090cfbe77be46941060b9a54454c351c74ff2f056363e002c8e2c3f.png";
		public string ProfileUrl { get; set; } = "https://letsrulethe.world/users/loosy";
	}

	public class UserClaim
	{
		public string Type { get; set; }
		public string Value { get; set; }
	}
}
