﻿using Microsoft.AspNetCore.Components;
using Microsoft.AspNetCore.Components.WebAssembly.Authentication;

namespace decePubClient.Extensions
{
	public class CustomAuthenticationMessageHandler : AuthorizationMessageHandler
	{
		public CustomAuthenticationMessageHandler(IAccessTokenProvider provider, NavigationManager navigation)
			: base(provider, navigation)
		{
			ConfigureHandler(new string[] { "https://demo.identityserver.io" });
		}
	}
}
