﻿using System.ComponentModel;
using System.Text.Json.Serialization;

namespace decePubClient.Models;

public class UploadMedia
{
	public string ContentType { get; set; }
	public string FileName { get; set; }
	public string AltText { get; set; }
	public byte[] Blob { get; set; }

	[JsonIgnore, Bindable(false)]
	public string Base64Preview { get; set; }
	[JsonIgnore, Bindable(false)]
	public long Size { get; set; }
}